Bug 977957 - watch does not support UTF-8
watch does not support UTF-8
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: procps-ng (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaromír Cápík
BaseOS QE - Apps
: Patch
Depends On: 965867
  Show dependency treegraph
Reported: 2013-06-25 12:28 EDT by Jan Pokorný
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version: procps-ng-3.3.7-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 965867
Last Closed: 2013-07-01 12:55:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2013-06-25 12:28:19 EDT
+++ This bug was initially created as a clone of Bug #965867 +++

$ echo 'Příliš žluťoučký kůň úpěl ďábelské ódy' > /tmp/utf8-test
$ watch -tn5 "cat /tmp/utf8-test"
Pli luouk k pl belsk dy
$ rpm -qf $(which watch)

Solution is along the lines of attachment 751650 [details]:
extend configure with --enable-watch8bit

Thanks for considering; it would be sad not to support UTF-8
whenever so little effort is needed for that.
Comment 2 Jaromír Cápík 2013-06-25 13:50:40 EDT
Ahoj Honzo.

After a new discussion about the UTF-8 support in watch and re-evaluating the pros and cons I'm gonna enable this in F19 and RHEL7.

Comment 3 Jan Pokorný 2013-06-25 13:54:31 EDT
Díky Jaromíre, great to hear that.
Comment 4 Jaromír Cápík 2013-07-01 12:55:55 EDT
UTF8 enabled in procps-ng-3.3.7-5.el7

Note You need to log in before you can comment on or make changes to this bug.